from setuptools import setup, find_packages

setup(
    name="flaschengeist",
    version="2.0.0-dev",
    url="https://wu5.de/redmine/projects/geruecht",
    author="WU5 + Friends",
    author_email="tim@groeger-clan.de",
    description="Does things",
    packages=find_packages(),
    package_data={"": ["*.toml"]},
    scripts=["run_flaschengeist"],
    install_requires=[
        "Flask >= 1.1",
        "toml",
        "sqlalchemy>=1.3",
        "flask_sqlalchemy",
        "flask_cors",
        "werkzeug",
        "python-dateutil",
    ],
    extras_require={"ldap": ["flask_ldapconn", "ldap3"], "bjoern": ["bjoern"]},
    entry_points={
        "flaschengeist.plugin": [
            "auth = flaschengeist.plugins.auth:AuthRoutePlugin",
            "users = flaschengeist.plugins.users:UsersPlugin",
            "roles = flaschengeist.plugins.roles:RolesPlugin",
            "schedule = flaschengeist.plugins.schedule:SchedulePlugin",
            "mail = flaschengeist.plugins.message_mail:MailMessagePlugin",
            "auth_plain = flaschengeist.plugins.auth_plain:AuthPlain",
            "auth_ldap = flaschengeist.plugins.auth_ldap:AuthLDAP [ldap]",
        ],
    },
)
